# Class default

- Defined in src/test/utils/inputsHandler.ts:11

#####
Index

### Constructors

constructor

### Properties

events
fakeMobile
fakePad
inputController
log
logUp
scene

### Methods

init
listenInputs
pressGamepadButton
pressKeyboardKey
pressTouch

## Constructors

### constructor

- new default(scene): default

- #### Parameters

  - scene: default

  #### Returns default

  - Defined in src/test/utils/inputsHandler.ts:20

## Properties

### `Private` events

events: EventEmitter

- Defined in src/test/utils/inputsHandler.ts:13

### `Private` fakeMobile

fakeMobile: FakeMobile

- Defined in src/test/utils/inputsHandler.ts:18

### `Private` fakePad

fakePad: Fakepad

- Defined in src/test/utils/inputsHandler.ts:17

### `Private` inputController

inputController: InputsController

- Defined in src/test/utils/inputsHandler.ts:14

### log

log: any[] = []

- Defined in src/test/utils/inputsHandler.ts:15

### logUp

logUp: any[] = []

- Defined in src/test/utils/inputsHandler.ts:16

### `Private` scene

scene: default

- Defined in src/test/utils/inputsHandler.ts:12

## Methods

### init

- init(): void

- #### Returns void

  - Defined in src/test/utils/inputsHandler.ts:56

### listenInputs

- listenInputs(): void

- #### Returns void

  - Defined in src/test/utils/inputsHandler.ts:66

### pressGamepadButton

- pressGamepadButton(button, duration): Promise<void>

- #### Parameters

  - button: number
  - duration: number

  #### Returns Promise<void>

  - Defined in src/test/utils/inputsHandler.ts:38

### pressKeyboardKey

- pressKeyboardKey(key, duration): Promise<void>

- #### Parameters

  - key: number
  - duration: number

  #### Returns Promise<void>

  - Defined in src/test/utils/inputsHandler.ts:47

### pressTouch

- pressTouch(button, duration): Promise<void>

- #### Parameters

  - button: string
  - duration: number

  #### Returns Promise<void>

  - Defined in src/test/utils/inputsHandler.ts:29